%define rname libvirt-python
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:	The libvirt virtualization API python2 binding
Name:		python-libvirt
Version:	1.3.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Python
URL:		http://libvirt.org
Source0:	http://libvirt.org/sources/python/%{rname}-%{version}.tar.gz
BuildRequires:	libvirt-devel >= 1.2.0
BuildRequires:	libvirt-utils >= 1.2.0
BuildRequires:	python-devel
BuildRequires:	python3-devel

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n	python3-libvirt
Summary:	The libvirt virtualization API python3 binding
Group:		Development/Python

%description -n	python3-libvirt
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep

%setup -q -n %{rname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
%{python2_sitearch}/libvirt.py*
%{python2_sitearch}/libvirt_qemu.py*
%{python2_sitearch}/libvirt_lxc.py*
%{python2_sitearch}/libvirtmod*
%{python2_sitearch}/*egg-info

%files -n python3-libvirt
%doc ChangeLog AUTHORS NEWS README COPYING COPYING.LESSER examples/
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*egg-info


%changelog
* Tue May 03 2016 tv <tv> 1.3.4-1.mga6
+ Revision: 1008919
- new release

* Wed Apr 13 2016 tv <tv> 1.3.3-1.mga6
+ Revision: 1001065
- new release

* Sat Mar 05 2016 philippem <philippem> 1.3.2-2.mga6
+ Revision: 986064
- use new macros, follow the Python policy

* Fri Mar 04 2016 oden <oden> 1.3.2-1.mga6
+ Revision: 985668
- 1.3.2

* Tue Feb 16 2016 umeabot <umeabot> 1.2.9-4.mga6
+ Revision: 962240
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.2.9-3.mga6
+ Revision: 887454
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.2.9-2.mga5
+ Revision: 749578
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 luigiwalser <luigiwalser> 1.2.9-1.mga5
+ Revision: 733840
- 1.2.9

  + tv <tv>
    - rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Wed Jun 04 2014 fwang <fwang> 1.2.5-1.mga5
+ Revision: 632768
- 1.2.5

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Jan 24 2014 tmb <tmb> 1.2.1-1.mga4
+ Revision: 568093
- BR libvirt-utils

  + oden <oden>
    - imported package python-libvirt

